# Copyright 2011,2013 Gabriele Sales <gabriele.sales@unipd.it>
#
#
# This file is part of graphite.
#
# graphite is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License
# version 3 as published by the Free Software Foundation.
#
# graphite is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License along with graphite. If not, see <http://www.gnu.org/licenses/>.


runDEGraph <- function(pathway, expr, classes) {
  initDEGraph()
  runDEGraphSingle(pathway, expr, classes)
}

runDEGraphMulti <- function(pathways, expr, classes, maxNodes=150) {
  initDEGraph()
  pathways <- filterPathwaysByNodeNum(pathways, maxNodes)
  lapplyCapturingErrors(pathways, function(p) runDEGraphSingle(p, expr, classes))
}

initDEGraph <- function() {
  if (!require(DEGraph))
    stop("library DEGraph is missing")

  checkPkgVersion("DEGraph", "1.4.0")
}

runDEGraphSingle <- function(pathway, expr, classes) {
  if (insufficientCommonGenes(pathway, rownames(expr)))
    return(NULL)
  
  g <- buildGraphNEL(nodes(pathway), edges(pathway), FALSE)
  testOneGraph(g, expr, classes, useInteractionSigns=FALSE)
}
